/* NOTE: CSS MAIN STYLESHEET FOR Bildhauer Gottfried Ferchl, made by Sogiler Simon */
@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Parisienne&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Alex+Brush&family=Allerta+Stencil&family=Gwendolyn:wght@400;700&family=Italianno&family=Mate+SC&family=Niconne&family=Parisienne&family=Petemoss&family=Petit+Formal+Script&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kumbh+Sans:wght@300&display=swap');
/* NOTE: Grundgerüst */
html, body{
  margin:0;
  padding:0;
  height:100%;
  width:100%;
  position: absolute;
  overflow:hidden;
}
*{
  scroll-behavior:smooth;
}
/* NOTE: Navigationsmenü */
nav{
  z-index: 1;
  position: absolute;
  top:150px;
  height:auto;
  margin:0;
  padding:0;
  width:130px;
  bottom:0;
  background-image:linear-gradient(180deg,#4B3621 ,#41382E);
  transition: 400ms;
  box-shadow: 1px 1px 20px rgb(34, 22, 14);
}
nav:hover{
  width:200px;
  background-color: rgb(117, 75, 49);
}
nav:hover > #logo {
  width:200px;
  height: 105px;
  overflow: hidden;
}
#logo{
  transition: 400ms;
  height:70px;
  width:130px;
  left:0px;
  top:70px;
  position:relative;
  background-image: url("../img/logo8.jpeg");
  background-size: 100%;
  background-position: 100% 0;
  background-repeat: no-repeat;
  background-color: linear-gradient(rgb(54, 219, 5), rgb(177, 155, 77));
  cursor: pointer;
}
.overlay{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: 0 ease;
  background-color: white;
}
#logo:hover .overlay{
  opacity: 0.2;
}

ul{
  top:150px;
  position:relative;
  left:0;
  text-align: center;
  list-style: none;
  height:100%;
  margin:0;
  padding:0;
}
a{
  text-decoration: none;
  cursor:pointer;
  color:black;
}
li a{
    display: block;
}
a.main_btn{
  border-radius: 2px;
  padding:10px;
  margin-bottom:10px;
  background-color: #6F5E53;
}
a.main_btn:hover {
  background-color:#396A89 ;
  transition: 200ms;
  color:white;
}

.main_content{
  position: absolute;
  top:150px;
  left:130px;
  right:0;
  margin-right:0;
  overflow:auto;
  padding:20px;
  transition: 400ms;
  bottom:0;
  /*background-image:linear-gradient(to bottom right,rgb(64, 101, 125),rgb(125, 88, 65),rgb(64, 101, 125));*/
  background-image:radial-gradient(#614430 ,#665243);
  overflow: hidden;
}

.line{
  background-color: #949494;
  z-index: 0;
  position: relative;
  float: left;
  height:2px;
  width:170px;
}

.btn_more{
  position: relative;
  text-decoration: none;
  padding:10px;
  padding-right:30px;
  padding-left:30px;
  transition: all 400ms;
  border: 2px solid #4a999d;
  border-radius: 3px;
  color:rgb(255, 255, 255);
}
.btn_more:hover span:after{
  opacity: 1;
  right:-7px;
}
.btn_more:hover span{
  padding-right: 30px;
  transition: 400ms;
}
span{
  transition: all 400ms;
}
.btn_more span:after{
  content: '\00bb';
  position: relative;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 400ms;
}
.btn_more:hover{
    background-color: #4a999d;
    color:white;
}
.bg{
  position: relative;
  top:-10px;
  float: right;
  width:36%;
  margin:20px;
  margin-bottom:0;
  margin-left:0;
  border: 1.2px solid black;
  border-radius: 3px;
  box-shadow: 0 0  10px black;
}
.bg_desktop{
  position: relative;
  top:-10px;
  float: right;
  width:26%;
  margin:20px;
  margin-bottom:0;
  margin-left:0;
  border: 1.2px solid black;
  border-radius: 3px;
  box-shadow: 0 0  10px black;
}
#uebermich{
  background-image:linear-gradient(0deg,#4B3621,#41382E);
  box-shadow: 6px 6px 10px black;
  margin-left:50px;
  margin-right:50px;
  padding-bottom:38px;
  margin-bottom:50px;
  top:15px;
  border:2px solid #22160E;
  position: relative;
  max-width:auto;
  bottom:0;
  color:#EDE2D7;
}
article{
  font-family:sans-serif;
  padding:12px;
  letter-spacing: 0.4px;
  font-size: 20px;
  text-align: left;
}
h1{
  font-size:18px;
  color:#E8D9C7;
  margin: 0;
  padding: 0;
}
/* NOTE: Galerie Portfolio "Menü" */
.column{
  width:35%;
  float: left;
  padding: 20px;
}
.row{
  padding-left:0px;
  padding-top:0px;
}
.row:after {
  content: "";
  display: table;
  clear: both;
}
h1{
    word-break: break-all;
    letter-spacing: 2px;
    font-size:20px;
}
.content {
  background-color: rgb(98, 57, 29);
  padding: 10px;
  padding-bottom:40px;
  height:auto;
  transition: all 300ms;
  border-radius:7px;
}
.galerie{
  border-radius: 5px;
}
/*    Galerie Menü Buttons      */
.btn_pf{
  top:17px;
  position: relative;
  padding:10px 20px 10px 20px;
  background-color: rgb(64, 122, 125);
  color:white;
  border-radius:5px;
  display: inline-block;
}
.btn_pf:hover{
  background-color: rgba(64, 122, 125, 0.55);
}
.mobile_btn_pf, .desktop_btn_pf{
  display:block;
}

.kontakt_text{
  font-size:20px;
}
p{
  font-size:17px;
}
h1, h2{
  text-decoration: underline;
}

.filter_list{
  margin: 0;
  padding: 0;
  top:0;
  margin-top: 30px;
  margin-bottom:30px;
  left: 0;
  text-align: center;
  list-style: none;
  height: auto;
}

.filter_btn{
  color:black;
  cursor: pointer;
  display:inline-block;
  padding:10px 15px 10px 15px;
  margin-right: 5px;
  background-color: rgb(254, 221, 170);
  border-radius: 1px;
  transition: 200ms;
}
/* NOTE: Footer mit Link zu Kontakt */
.footer{
  vertical-align: middle;
  width:100%;
  position: absolute;
  bottom:-40px;
  height:80px;
  background-color: rgb(170, 158, 138);
  border-radius: 5px 5px 0 0;
  opacity: 0.5;
  transition: 200ms;
  margin:0;
  left:0;
}
.footer_text{
  font-family:fantasy;
transition: 300ms;
}
a.footer_href{
  color:black;
  transition: 200ms;
}
.footer:hover {
  opacity: 1;
}

.mobile_h1, .mobile_h2{
  display:none;
}
#text_verschiedenes2{
  display: none;
}
.impressum_font{
  color:white;
  text-align:center;
  font-size: 10px;
}
.impressum_link{
  color:white;
  font-size:12px;
}
.impressum_list{
  height:auto;
  top:0;
  list-style:square;
  font-size:10px;
}
.impressum_lists{
  margin-top:0 !important;
  color:white;
  text-align: center;
}
h4{
  color:white;
  font-size:20px;
}
h5{
  color:white;
}
img.bg_desktop{
  display: none;
}

/*         ##############################     Styles for desktop versions        #################      */
@media screen and (min-width:800px){
  #img_rollstuhl{
    display: none;
  }
  img.bg{
    display:none;
  }
  img.bg_desktop{
    display: block;
    top:-20px;
  }
  #uebermich{
    margin-bottom:0px;
    padding-bottom:20px;
  }
  .uebermich_font{
    font-size: 16px;
  }
  .openbtn{
    display:none;
  }
  /*      Galerie Menü       */
  .mobile_btn_pf{
    display:none;
  }
  .column{
    text-align: center;
    width:22% ;
  }
  .row{
    padding-left:75px;
    padding-top:0px;
    box-sizing:border-box;
  }
  .row > .column{
    padding:10px;
  }
  .content:hover{
    background-color: rgb(96, 84, 68);
    transition: 200ms;
    box-shadow:0 13px 10px rgb(26, 29, 36);
    padding-top:7px;
  }
  .content:hover .galerie{
    filter: grayscale(0);
  }
  .galerie{
    filter: grayscale(0.7);
    border-radius: 5px;
  }
  a.footer_href:hover{
    color:white;
  }
.footer:hover{
  bottom:0;
}
  .footer:hover .footer_text{
    font-size: 20px;
    padding-top: 10px;
  }

  /*                        Style für die Kategorien Bilder                               */
  .gallery{
    position: relative;
    width: 90%;
    margin-top:7%;
    margin-bottom: 20px;
  }
  .gallery_row{

    height: auto;
    display: flex;
    flex-direction: row;
  }
  .gallery_column{
    display: flex;
    flex-direction:column;
    padding:0;
    margin-right:20px;
    width:100%;
  }
  .gallery_figure{
    width:100%;
    margin:0;
    padding:0 20px 0 0;
  }
  .verschiedenes{
    width:100%;
  }
  .gallery_image{
     transition-duration: 200ms;
     width:100%;
     border:2px solid black;
  }
  .gallery_image:hover{
    transform: translateY(-5%) scale(1.08);
    box-shadow: 0px 0px 30px rgb(24, 24, 24);
  }
  p.impressum_font{
	font-size:17px;
}
}

/*         ##############################    End Styles for desktop versions 800px       #################      */

/*         ##############################   Start Styles for desktop versions > 800px       #################      */

@media screen and (min-width:2000px){
  img.bg_desktop{
    width:34%;
  }
  .uebermich_font{
    font-size:25px;
  }
  .welcome_font{
    font-size:30px;
  }
  .btn_more{
    font-size:25px;
    border-width: 4px;
    border-radius:6px;
    padding:15px 40px 15px 40px;
  }
  #uebermich{
    padding-bottom:30px;
  }
  a.main_btn{
    font-size:20px;
  }
  .filter_btn{
    font-size:25px;
    padding:20px;
  }
  .footer_text{
    font-size:25px;
  }
  .footer{
    bottom:-10px;
    height:100px;
  }
  .footer:hover .footer_text {
  font-size: 30px;
  padding-top: 5px;
  }
  .gallery_row{
    width:100%;
  }

}



/* ##########################            Start Styles for mobile versions     ############################         */

@media screen and (max-width:800px){
  /*                           NOTE:                     Body                       */
  .wrapper{
    position: absolute;
    width:100%;
    height: 100%;
    overflow-y:scroll;
  }
  .main_content{
    overflow-y: visible;
    left:0;
    top:100px;
    padding-bottom:0;
  }
  @import url('https://fonts.googleapis.com/css2?family=Marcellus+SC&display=swap');
/*              FONTS
font-family: 'Alex Brush', cursive;   gut
font-family: 'Allerta Stencil', sans-serif; nix
font-family: 'Gwendolyn', cursive;
font-family: 'Italianno', cursive; sehr gut
font-family: 'Mate SC', serif;
font-family: 'Niconne', cursive;
font-family: 'Parisienne', cursive;
font-family: 'Petemoss', cursive;
font-family: 'Petit Formal Script', cursive;
*/
/*                                                        Headlines, Text                                    */

  .mobile_h1{
    font-family:'Petit Formal Script';
    font-size: 15px;
    display:block;
    text-align: center;
  }
    .mobile_h2{
      font-family:'Petit Formal Script';
      font-size: 20px;
      display:block;
      text-align: center;
    }
    .uebermich_font{
      font-family: 'Kumbh Sans', sans-serif;
    }
    p{
      font-family: 'Kumbh Sans';
    }
/*                                           Bilder                        */
    #img_rollstuhl{
      border-radius: 5px;
      width:45%;
      float:right;
      margin: 20px 0 0 10px;
      border-radius: 5px;
    }
  /*                            NOTE: Startseite Content                           */
  #uebermich{
    background-image:none;
    left:0;
    top:0;
    margin:0;
    padding:0;
    margin-top:20px;
    padding-bottom: 20px;
    margin-bottom:60px;
    box-shadow: 0 0 0 0;
    border:none;
  }
  .bg{
    width:100%;
    border:none;
    box-shadow: none;
    margin: 20px 0 0 10px;
    border-radius: 5px;
    z-index: 0;
  }
article{
  text-align: justify;
  background-color:slightgray;
  padding: 10px;
}
/*                                                      Navigationmenü                              */
nav.mySidepanel{
  position:fixed;
  z-index: 3;
  top:56px;
  box-shadow: none;
  margin-left: -140px;
  height:100%;
  transition: 0;
}
.bar1, .bar2,.bar3{
  width:35px;
  height:4px;
  background-color: #333;
  margin: 6px 0;
  transition: 0.4s;
}

ul{
  top:100px;
  position:relative;
  left:0;
  text-align: center;
  list-style: none;
  font-size: 25px;
  margin:0px;
  padding:0;
}
li{
  margin-top:10px;
}
a.main_btn{
  margin: 0px;
  border: 1px solid gray;
}
#logo{
  display:none;
}

.openbtn{
    position: relative;
    font-size: 25px;
    bottom:0;
    cursor: pointer;
    background-color: rgb(107, 107, 107);
    border:none;
    margin:0;
    padding:10px 20px 10px 20px;
    z-index: 2;
    display: block;
    transition: 200ms;
    width:100%;
    text-align: left;
  }
#logo_m
{
  position: absolute;
  top:0;
  right:0;
  margin:0;
  padding:0;
  height:56px;
  width:110px;
  background-image: url("../img/logo8.jpeg");
  background-size: 100%;
}
/*                                                 Navigation END                        */

/*                                                    Galerie                       */
.column{
  padding:0 5px 15px 0;
  width:48%;
}
.row{
  padding-left:0px;
  margin-bottom:50px;
}
a.btn_pf{
  padding: 10px 0px 10px 0px;
  width:100%;
  margin-top:-10px;
}
.content{
  padding:7px;
  padding-bottom:25px;
}
.headline_gallery{
  font-size:18px;
}
.filter_list{
  margin-top:0;
  font-size:15px;
}
/*                                                    Galerie Menü Buttons                               */

.desktop_btn_pf{
  display:none;
}
html,body{overflow:visible;}
.footer{
  position: sticky;
  border-radius: 0;
  height: 50px;
  width: 120%;
  opacity: 1;
  margin:30px 0px 0px -20px;
  padding: 0;
  bottom:0;
  text-align:center;
}
.footer_text{
  position: relative;
  top:30%;
  color:white;
  font-family:inherit;
  left:-10px;
}
a.footer_href{
  color:rgb(55, 55, 55);
}
#text_verschiedenes1{
  display: none;
}
#text_verschiedenes2{
  display: block;
}
/*                          NOTE:    Galerie Navigation für mobile Seiten                              */
.bildermenu_mobile, .bildermenu_mobile_link, .bildermenu_mobile_list{
  display: inline-block;
}
.bildermenu_mobile{
  font-size: 0;
  position: relative;
  top:0;
  left:0;
  width: 100%;
  height:auto;
  /*background-color:#665243  #614430 ;*/
  /*background-color: rgb(158, 158, 158);*/
  display: flex;
  align-items: stretch;
}
.bildermenu_mobile_list{
  background-color: #878787;
  left:0;
  flex-grow: 1;
  border-right:1px solid rgb(182, 182, 182);
}
.bildermenu_mobile_list:last-child{
  border-right: none;
}
.bildermenu_mobile_link{
  font-size: 17px;
  color:white;
  padding:10px;
}
.active_link{
  background-color:rgb(99, 99, 99);
}

/*                                          Swiper for mobile Devices                               */
section.swiper_{
  margin:0 20px 0 20px;
}
.swiper {
  width: 100%;
  height: auto;
  background-color: none;
}
.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: none;
  width: 100px;
}
.swipe-img{
  width:70%;
  height:;
}
:root{
  --swiper-theme-color:white !important;
  /*--swiper-navigation-color:black;*/
}
:root{
  --swiper-navigation-size: 20px !important;
}
/*                                        Swiper for mobile Devices END                               */
}
